Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Profil in ACAD/ACA per Script umschalten

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Profil in ACAD/ACA per Script umschalten (538 mal gelesen)
mazanek
Mitglied
CAD-Techniker


Sehen Sie sich das Profil von mazanek an!   Senden Sie eine Private Message an mazanek  Schreiben Sie einen Gästebucheintrag für mazanek

Beiträge: 630
Registriert: 13.06.2002

erstellt am: 09. Jul. 2009 16:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Forum!

Gibt es eine Möglichkeit das Profil per Script umzuschalten? Habs mit dem Macrorecorder versucht, aber der öffnet nur das Optionenfenster aber dann bleibt das Macro stehen. Das dürfte der Macrorecorder nicht unterstützen.
Per setvar geht es nicht die Variable "CPROFILE" kann nur ausgelesen werden und ist schreibgeschützt.

Hintergedanke dazu: Da ich gerade den Versuch gestartet habe einen Bürostandard zu definieren muss ich häufig zwischen dem Profil "Admin-Bürostandard" und  "AutoCAD Architecture (D A CH)" hin und her zu schalten und über das Optionenmenü ist das eher mühsam.

------------------
ciao markus

- Der größte Bug sitzt immer VOR dem Bildschirm -

Markus Mazanek
Arch.E.Neversal Ziviltechniker GmbH
Maurer Lange Gasse 134
1230 Wien

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 09. Jul. 2009 17:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mazanek 10 Unities + Antwort hilfreich

per script geht das IMHO nicht, aber über LISP oder VBA und die Com-Schnittstelle von ACAD

so ungefähr:
(defun set-profile(profileName / profiles strNames)
  (vl-load-com)
  (setq profiles
    (vla-get-profiles
      (vla-get-preferences
        (vlax-get-acad-object)
      )
    )
  )
  (vlax-invoke-method profiles 'getAllProfileNames 'strNames)
  (setq strNames(vlax-safearray->list strNames))
  (if(member(strcase profileName)(mapcar'strcase strNames))
    (vla-put-activeProfile profiles profileName)
  )
)
------------------
      - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joeycool
Mitglied
Ingenieur TGA


Sehen Sie sich das Profil von joeycool an!   Senden Sie eine Private Message an joeycool  Schreiben Sie einen Gästebucheintrag für joeycool

Beiträge: 1447
Registriert: 01.06.2004

MEP/ACAD 2008,..., 2013, 2014, 2015, 2016 und 2017
REVIT MEP 2017
WIN7 64 bit
i7 3,4 GHZ, SSD Platte, 16 GB Ram
NVDIA Quadro K 2200

erstellt am: 10. Jul. 2009 08:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mazanek 10 Unities + Antwort hilfreich

Moin Markus

schau mal hier,
http://ww3.cad.de/foren/ubb/Forum54/HTML/017671.shtml

da habe ich ne Menge Hilfe zu dem problem von dem üblichen Verdächtigen  bekommen

Joeycool

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mazanek
Mitglied
CAD-Techniker


Sehen Sie sich das Profil von mazanek an!   Senden Sie eine Private Message an mazanek  Schreiben Sie einen Gästebucheintrag für mazanek

Beiträge: 630
Registriert: 13.06.2002

erstellt am: 10. Jul. 2009 09:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen Dank euch beiden!

10 Units für euch beide 
Aber gebt nicht alles auf einmal aus 

------------------
ciao markus

- Der größte Bug sitzt immer VOR dem Bildschirm -

Markus Mazanek
Arch.E.Neversal Ziviltechniker GmbH
Maurer Lange Gasse 134
1230 Wien

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz